import { getAllGrade } from "@/app/utils/api/companyData/gradeApi.ts";
import EmployeeDataTable from "./components/employee-table";
import { getAllRoles } from "@/app/utils/api/companyData/roleApi.ts";

export const dynamic = "force-dynamic";

export default async function EmployeeData() {
  const gradeData = await getAllGrade();
  const roleData = await getAllRoles();

  return (
    <div className="py-4 space-y-4 w-full h-full">
      <EmployeeDataTable
        roleData={roleData || []}
        gradeData={gradeData || []}
      />
    </div>
  );
}
